### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
ConstantCapFloorTermVolatility Class Reference

Constant caplet volatility, no time-strike dependence. More...

`#include <ql/termstructures/volatility/capfloor/constantcapfloortermvol.hpp>`

Inheritance diagram for ConstantCapFloorTermVolatility:
[legend]

List of all members.

## Public Member Functions

| ConstantCapFloorTermVolatility (Natural settlementDays, const Calendar &cal, BusinessDayConvention bdc, const Handle< Quote > &volatility, const DayCounter &dc)
| floating reference date, floating market data
| ConstantCapFloorTermVolatility (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, const Handle< Quote > &volatility, const DayCounter &dc)
| fixed reference date, floating market data
| ConstantCapFloorTermVolatility (Natural settlementDays, const Calendar &cal, BusinessDayConvention bdc, Volatility volatility, const DayCounter &dc)
| floating reference date, fixed market data
| ConstantCapFloorTermVolatility (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, Volatility volatility, const DayCounter &dc)
| fixed reference date, fixed market data
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols

## Protected Member Functions

Volatility | volatilityImpl (Time, Rate) const
| implements the actual volatility calculation in derived classes

## Detailed Description

Constant caplet volatility, no time-strike dependence.